Skip to content

Change Personal Password API

After the user logs in, call the [Check Personal Password Existence API] first; if a password is already set, pass the old password in the parameters; if not, only the new password is required.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationIDtoken returned by the user login API. Format is Bearer {id_token}YesStringBearer eyJraWQiOiI1ZWZhN2ZmZDA2Z...

Request Example

json
{
    "old_password": "P@ssw0rd",
    "new_password": "P@ssw0rd123"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
old_passwordOld passwordYesStringUser's old password
new_passwordNew passwordYesStringNew password to set

Response Example

Success Example

HTTP/1.1 200 OK

json

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1001",
    "error_msg": "Parameter X-client-id cannot be left blank."
}

Response Parameters

None

BambooCloud IDaaS Open Platform